#!/bin/bash


##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="2.0.15"
SHA1SUM="615e968e4a3fb16ac0a6f8668c57765554ca3f30"
URL="http://ftp.5z.com/pub/gob"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_gz gob2 &&

cd ${BUILDDIR} &&
#tar -xzvf ${SRCDIR}/gob2-${VERSION}.tar.gz &&
cd gob2-${VERSION} &&

patch_src gob2 &&

sed -e 's/-O2/-Os/g' -i configure &&

PKG_CONFIG_PATH="${INSTALLDIR}/usr/lib/pkgconfig" LDFLAGS="-L${INSTALLDIR}/lib" CC="${CC} -Os -fPIC" ./configure --host=${BOARDTARGET} --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --disable-static &&

#`echo ${BOARDTARGET} | sed 's/-uclibc//g'`

make &&
make DESTDIR=${INSTALLDIR} install &&

cd ${BUILDDIR} &&
rm -rf gob2-${VERSION}
