<<<<<<< .mine
#!/bin/bash
DIR=`pwd`

PROJECT_NAME="cti-mesh"
IMAGE_BUILDER_DIR="/home/tom/Documents/cti-mesh-builder"
IMAGE="alix-image-cti-mesh-tom-20090702.bin.gz"


usage()
{
    echo "Usage $0 <hostname> <config-dir>"
    exit 0
}

if [ `id -u` != "0" ] ; then
    echo
    echo "You are not root, please execute me as root."
    echo
    exit 1
fi

if [ ${#} -lt 2 ] ; then
    usage
fi

CURRENT_CONFIG_DIR=${2}
HOST=${1}
CONFIG=${CURRENT_CONFIG_DIR}/config-${HOST}.default

echo -e "\E[36;1mInstallation of\n\timage:\t${IMAGE}\n\tconfig:\t${CONFIG}\non host: ${HOST} \E[30;0m"

cd "${IMAGE_BUILDER_DIR}"

./tools/flashConfigImage.sh ${IMAGE} ${CONFIG} /dev/sdb

cd ${DIR}

=======
#!/bin/bash
DIR=`pwd`

PROJECT_NAME="cti-mesh"
IMAGE_BUILDER_DIR="/home/tom/Documents/cti-mesh-builder"


usage()
{
    echo "Usage $0 <hostname> <config-dir> <image>"
    exit 0
}

if [ `id -u` != "0" ] ; then
    echo
    echo "You are not root, please execute me as root."
    echo
    exit 1
fi

if [ ${#} -lt 3 ] ; then
    usage
fi

CURRENT_CONFIG_DIR=${2}
HOST=${1}
IMAGE=${3}

cd ${IMAGE­_BUILDER_DIR}

./tools/flashConfigImage.sh ${IMAGE} ${CURRENT_CONFIG_DIR}/config-${HOST}.default /dev/sdb

cd ${DIR}

>>>>>>> .r42
