#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="2.4b2_to-ipv6"
SHA1SUM="2a714fe2a4bbab1a8a88890a0fb5a04795c1f6d8"
URL="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
##################################################



download_gz fping &&

cd ${BUILDDIR} &&
echo "${SRCDIR}" &&
tar -xzvf ${SRCDIR}/fping-${VERSION}.tar.gz &&
cd fping-${VERSION} &&

patch_src fping &&

CC="${CC}" &&
CFLAGS="-Os -fPIC -fno-builtin -fno-rtti -nostdinc++" &&
CPPFLAGS="-Os -fPIC -Wall" &&
./configure --host=${BOARDARCH} --target=${CROSS_TARGET} --prefix=/ &&
make &&

mv fping ${INSTALLDIR}/bin &&

cd ${BUILDDIR} &&
rm -rf fping-${VERSION}
