#!/bin/bash
# UniBE, IAM, RVS, Author: ott@iam.unibe.ch
##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.9"
SHA1SUM="6836579e42320b057a2372bbcd0325130fe2561e"
URL="ftp://ftp.gnupg.org/gcrypt/libgpg-error/libgpg-error"
BUILD_DEPS="toolchain"
##################################################

download_bz2 libgpg-error &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/libgpg-error-${VERSION}.tar.bz2 &&
cd libgpg-error-${VERSION} &&

CC="${CC} -Os -fPIC" ./configure --host=${BOARDTARGET} --prefix=/usr --exec_prefix=${INSTALLDIR} --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --mandir=${INSTALLDIR}/usr &&

make &&
make DESTDIR=${INSTALLDIR} install &&

cd ${BUILDDIR} &&
rm -rf libgpg-error-${VERSION}
