#!/bin/bash


##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.10.4"
SHA1SUM="e56331f0f1ffd46d6fcf1e6aa762cd308a570429"
URL="http://ftp.gnome.org/pub/GNOME/sources/pango/1.22"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
##################################################

download_gz pango &&

cd ${BUILDDIR} &&
tar -xzvf ${SRCDIR}/pango-${VERSION}.tar.gz &&
cd pango-${VERSION} &&

patch_src pango &&

sed -e 's/-O2/-Os/g' -i configure &&

PKG_CONFIG_PATH="${INSTALLDIR}/usr/lib/pkgconfig" LDFLAGS="-L/home/alixmgmt-builder/target/lib" CC="${CC} -Os -fPIC" ./configure --host=`echo ${BOARDTARGET} | sed 's/-uclibc//g'` --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --without-x --without-pic &&

make &&
make DESTDIR=${INSTALLDIR} install &&

cd ${BUILDDIR} &&
rm -rf pango-${VERSION}
