#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="20070815"
SHA1SUM="e2dd5abf3d6cd9fd3af983382d1aeb76ab1006ea"
URL="http://ftp.de.debian.org/debian/pool/main/u/uml-utilities"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
##################################################

download_file uml-utilities_${VERSION}.orig.tar.gz &&

cd ${BUILDDIR} &&
tar -xzvf ${SRCDIR}/uml-utilities_${VERSION}.orig.tar.gz &&
cd tools-${VERSION} &&

# set path to /sbin
sed -e 's/\/usr\/bin/\/sbin/g' -i Makefile &&

# create tunctl make target
sed -e 's/all install/all/g' -i Makefile &&
echo "" >> Makefile &&
echo "tunctl install:" >> Makefile &&
echo -e "\tset -e ; \$(MAKE) -C \$(TUNCTL) \$@" >> Makefile &&

make tunctl &&

make DESTDIR=${INSTALLDIR} install &&

cd ${BUILDDIR} &&
rm -rf tools-${VERSION}
